# Asterisk Project : Asterisk 12 Function_HASH

Added by wikibot , edited by wikibot on Aug 29, 2013

# HASH()

### Synopsis

Implementation of a dialplan associative array

### Description

In two arguments mode, gets and sets values to corresponding keys within a named associative array. The single-argument mode will only work when assigned to from a function defined by func_odbc

### Syntax

    HASH(hashname,hashkey)

##### Arguments

- `hashname`
- `hashkey`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown